### Method

# Gtk MenuButton set_create_popup_func

#### Declaration [src]

    void
    gtk_menu_button_set_create_popup_func (
      GtkMenuButton* menu_button,
      GtkMenuButtonCreatePopupFunc func,
      gpointer user_data,
      GDestroyNotify destroy_notify
    )

#### Description [src]

Sets `func` to be called when a popup is about to be shown.

`func` should use one of

- `gtk_menu_button_set_popover()`
- `gtk_menu_button_set_menu_model()`

to set a popup for `menu_button`. If `func` is non-`NULL`, `menu_button` will always be sensitive.

Using this function will not reset the menu widget attached to `menu_button`. Instead, this can be done manually in `func`.

#### Parameters

`func`

  Type: `GtkMenuButtonCreatePopupFunc`

  Function to call when a popup is about to be shown, but none has been provided via other means, or `NULL` to reset to default behavior.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy_notify`

  Type: `GDestroyNotify`

  Destroy notify for `user_data`.

  The argument can be `NULL`.